LatinVFR Barcelona for FSX, FSX SE and P3D version
NOTIFICATION for P3d v3 latest version users!

When version 1.1 of Barcelona and we implemented native P3d Ground polygons, a customer emailed us regarding issues with the update 1.1. And we did a rapid search and thought it had to do with a new method on P3dv3.4. It turns out that the customer was having ground flickering and we asked him to revert to the 1.0 installer. We believed that the issue had to do with that. But after further testing and have concluded it had nothing to do with that. Perhaps something within his system.

So we ask all customers of P3dv3 to please use the installer: LatinVFR_Barcelona_1.2_p3d.exe. So you can use the scenery completely native to P3d. With specular and bump maps as we intended. If you had installed the other version (LatinVFR_Barcelona_1.2_fsx_p3dv3.4.exe), please uninstall and then install the mentioned installer.

We apologize for those users who were confused by this. And if you happen to use the said installer and have ground flickering let us know.

Our apologies,
LatinVFR